<div class="pizzas">
  <div class="pizzas__new">
    <a app-button routerLink="./new"> New Pizza </a>
  </div>
  <div class="pizzas__list">
    <app-spinner *ngIf="loading$ | async" [diameter]="48"></app-spinner>
    <ng-container *ngIf="pizzas$ | async as pizzas">
      <app-pizza-item *ngFor="let pizza of pizzas" [pizza]="pizza"> </app-pizza-item>
      <div *ngIf="!pizzas?.length">No pizzas, add one to get started.</div>
    </ng-container>
    <div *ngIf="error$ | async as error">{{ error }}</div>
  </div>
</div>
